Page MenuHomePhabricator

Enable Wikidata support for Outreach Wiki
Closed, ResolvedPublic8 Estimated Story Points

Description

Problem:
Outreach wiki wants to make use of data from Wikidata but is not set up as a client wiki yet. It should be set up to be a Wikidata client wiki.

Specifically this means:

  • it can use the Wikibase Lua functions in Lua modules to get data from Wikidata
  • it is listed under "multilingual sites" in the sitelink section with the name "Outreach"

Acceptance criteria:

  • Outreach wiki is set up as a Wikidata client wiki

Original request:
For some reasons, the Outreach Wiki should also be a Wikidata client wiki, so e.g. the outreach Education program can be linked together with its Meta-Wiki corresponding page and probably statistics datas can be synced from properties values.

Local discussion link

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

This is the last big project that doesn't have support other than Incubator (which is on the roadmap) and maybe Wikitech. Anything else is very arcane and would probably not benefit much from Wikidata access.

Urbanecm renamed this task from Enable support for Outreach Wiki to Enable Wikidata support for Outreach Wiki.Aug 27 2018, 7:39 PM

This is enabled on testwikidata (and also allows for testwikipedia, test2wikipedia, and testwikidata itself). Is there any idea when it will be enabled in Wikidata?

Stang updated the task description. (Show Details)
  • Add outreachwiki to wikidataclient.dblis
  • Add outreachwiki to Wikibase SpecialSiteLinkGroups
  • Add outreachwiki to WikimediaMessages

Change 789976 had a related patch set uploaded (by Stang; author: Stang):

[operations/mediawiki-config@master] Add outreachwiki to wikidataclient.dblis

https://gerrit.wikimedia.org/r/789976

Change 789977 had a related patch set uploaded (by Stang; author: Stang):

[operations/mediawiki-config@master] Add outreachwiki to Wikibase SpecialSiteLinkGroups

https://gerrit.wikimedia.org/r/789977

Change 789978 had a related patch set uploaded (by Stang; author: Stang):

[mediawiki/extensions/WikimediaMessages@master] Add outreachwiki to WikimediaMessages

https://gerrit.wikimedia.org/r/789978

Change 789979 had a related patch set uploaded (by Stang; author: Stang):

[operations/mediawiki-config@master] Add outreachwiki to Wikibase languageLinkSiteGroup

https://gerrit.wikimedia.org/r/789979

Note that this will need someone experienced with Wikidata to work on this. Enabling Wikidata support is definitely not an easy task, and requires knowledge about the project's internals.

@Urbanecm Thanks for point it out, so I wonder if this could be processed in a SWAT window and assistance from expert is required? If possible, please offer relevant support on it, thanks!

@Ladsgroup Following the guidance on Add a wiki#Wikidata, would you like to run the script mentioned on that page? Thanks a lot!

I don't think running the script would fix it (if the client wiki, etc. is fixed, it would but not yet). I will run it once those are handled. I suggest coordinating with Wikidata's PM @Lydia_Pintscher first.

@Urbanecm Thanks for point it out, so I wonder if this could be processed in a SWAT window and assistance from expert is required? If possible, please offer relevant support on it, thanks!

Hey, thanks for the question. B&C windows (new name for SWAT windows) and "needs an expert" are kinda mutually exclusive. If a task needs a specific person to do it, it shouldn't go through B&C. That's because B&C is meant for things that can be deployed by "anyone" (usually, that equals "low-risk" patches). Tasks that need specific treatment, specific knowledge or similar should generally go through their own deployment window. Thanks for your understanding!

Ack, thanks for clarification!

Change 789978 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] wikibase-otherprojects: Add outreachwiki for Wikidata client listing

https://gerrit.wikimedia.org/r/789978

This process is one that has not been handled by the current wikidata team in quite some time. As such, mob programming should occur with @ItamarWMDE and myself included in the mob. This is for https://phabricator.wikimedia.org/T321967 and https://phabricator.wikimedia.org/T171140

Change 919051 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Add outreachwiki to wikidataclient dblist

https://gerrit.wikimedia.org/r/919051

Mentioned in SAL (#wikimedia-operations) [2023-05-11T12:41:14Z] <Amir1> creating wikidata client tables for outreachwiki (T171140)

Change 919051 merged by jenkins-bot:

[operations/mediawiki-config@master] Add outreachwiki to wikidataclient dblist

https://gerrit.wikimedia.org/r/919051

Mentioned in SAL (#wikimedia-operations) [2023-05-11T12:47:24Z] <ladsgroup@deploy1002> Started scap: Backport for [[gerrit:919051|Add outreachwiki to wikidataclient dblist (T171140)]]

Mentioned in SAL (#wikimedia-operations) [2023-05-11T12:48:57Z] <ladsgroup@deploy1002> ladsgroup: Backport for [[gerrit:919051|Add outreachwiki to wikidataclient dblist (T171140)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-05-11T12:58:29Z] <ladsgroup@deploy1002> Finished scap: Backport for [[gerrit:919051|Add outreachwiki to wikidataclient dblist (T171140)]] (duration: 11m 05s)

Adding to the sprint as this is done and awaiting verification.

Stang removed Stang as the assignee of this task.May 12 2023, 9:19 AM
Stang subscribed.

After further examination, we still need to add outreachwiki to wmgWikibaseRepoSpecialSiteLinkGroups and wmgWikibaseClientSpecialSiteLinkGroups on Wikidata.

karapayneWMDE set the point value for this task to 8.May 16 2023, 9:38 AM

Sprint 9 Review: 8 accounts for all the effort going into learning/training this. future efforts should be significantly lower

Task Breakdown notes:

The patches linked above should be reviewed and scheduled for deployment. To review during deployment:

  1. Enable the mwdebug extension
  2. Try to add a sitelink to outreach wiki in the multilingual wikis group on a wikidata item

Change 789976 abandoned by Lucas Werkmeister (WMDE):

[operations/mediawiki-config@master] Add outreachwiki to wikidataclient.dblis

Reason:

done in I7399874dd4 in the meantime

https://gerrit.wikimedia.org/r/789976

Change 927127 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Make outreachwiki a multilingual Wikidata client

https://gerrit.wikimedia.org/r/927127

Change 789979 abandoned by Lucas Werkmeister (WMDE):

[operations/mediawiki-config@master] Add outreachwiki to Wikibase languageLinkSiteGroup

Reason:

Squashed into Ic5cfdf41f1, I hope you don’t mind. Thanks for the change!

https://gerrit.wikimedia.org/r/789979

Change 789977 abandoned by Lucas Werkmeister (WMDE):

[operations/mediawiki-config@master] Add outreachwiki to Wikibase SpecialSiteLinkGroups

Reason:

Squashed into Ic5cfdf41f1, I hope you don’t mind. Thanks for the change!

https://gerrit.wikimedia.org/r/789977

I squashed the two remaining config changes into one (Make outreachwiki a multilingual Wikidata client), since I think it makes more sense to deploy them together anyways. Scheduled for the UTC afternoon deployment window later today.

Change 927127 merged by jenkins-bot:

[operations/mediawiki-config@master] Make outreachwiki a multilingual Wikidata client

https://gerrit.wikimedia.org/r/927127

Mentioned in SAL (#wikimedia-operations) [2023-06-05T13:04:00Z] <lucaswerkmeister-wmde@deploy1002> Started scap: Backport for [[gerrit:927127|Make outreachwiki a multilingual Wikidata client (T171140)]]

Mentioned in SAL (#wikimedia-operations) [2023-06-05T13:05:25Z] <lucaswerkmeister-wmde@deploy1002> lucaswerkmeister-wmde: Backport for [[gerrit:927127|Make outreachwiki a multilingual Wikidata client (T171140)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-05T13:14:07Z] <lucaswerkmeister-wmde@deploy1002> Finished scap: Backport for [[gerrit:927127|Make outreachwiki a multilingual Wikidata client (T171140)]] (duration: 10m 06s)

Arian_Bozorg subscribed.

Looks good to me :)

Thanks so much